## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanNumberingResourceBundle Class Reference

`#include <XalanNumberingResourceBundle.hpp>`

Collaboration diagram for XalanNumberingResourceBundle:

[legend]
List of all members.

## Public Types

- typedef unsigned long NumberType
- typedef std::vector<unsigned
  long> NumberTypeVectorType
- typedef std::vector<XalanDOMCharVectorType> DigitsTableVectorType
- enum eOrientation { eLeftToRight, eRightToLeft, eTopToBottom, eBottomToTop }
- enum eNumberingMethod { eAdditive, eMultiplicativeAdditive }
- enum eMultiplierOrder { eFollows, ePrecedes }

## Public Methods

- XalanNumberingResourceBundle (const XalanDOMString &theLanguage, const XalanDOMString &theUILanguage, const XalanDOMString &theHelpLanguage, const XalanDOMCharVectorType &theAlphabet, const XalanDOMCharVectorType &theTraditionalAlphabet, eOrientation theOrientation, eNumberingMethod theNumberingMethod, eMultiplierOrder theMultiplierOrder, NumberType theMaxNumericalValue, const NumberTypeVectorType &theNumberGroups, const NumberTypeVectorType &theMultipliers, const XalanDOMCharVectorType &theZeroChar, const XalanDOMCharVectorType &theMultiplierChars, const DigitsTableVectorType &theDigitsTable, const NumberTypeVectorType &theDigitsTableTable)
- XalanNumberingResourceBundle ()
- XalanNumberingResourceBundle (const XalanNumberingResourceBundle &theSource)
- ~XalanNumberingResourceBundle ()
- bool operator== (const XalanNumberingResourceBundle &theRHS) const
- const XalanDOMString& getLanguage () const
- const XalanDOMString& getUILanguage () const
- const XalanDOMString& getHelpLanguage () const
- const XalanDOMCharVectorType& getAlphabet () const
- const XalanDOMCharVectorType& getTraditionalAlphabet () const
- eOrientation getOrientation () const
- eNumberingMethod getNumberingMethod () const
- eMultiplierOrder getMultiplierOrder () const
- NumberType getMaxNumericalValue () const
- const NumberTypeVectorType& getNumberGroups () const
- const NumberTypeVectorType& getMultipliers () const
- const XalanDOMCharVectorType& getZeroChar () const
- const XalanDOMCharVectorType& getMultiplierChars () const
- const DigitsTableVectorType& getDigitsTable () const
- const NumberTypeVectorType& getDigitsTableTable () const
- void swap (XalanNumberingResourceBundle &theOther)

## Member Typedef Documentation

typedef std::vector< XalanDOMCharVectorType > XalanNumberingResourceBundle::DigitsTableVectorType<XalanDOMCharVectorType>

typedef unsigned long XalanNumberingResourceBundle::NumberType

typedef std::vector< unsigned long > XalanNumberingResourceBundle::NumberTypeVectorType<unsigned long>

## Member Enumeration Documentation

enum XalanNumberingResourceBundle::eMultiplierOrder

  | Enumeration values:
  eFollows |
  ePrecedes |

enum XalanNumberingResourceBundle::eNumberingMethod

  | Enumeration values:
  eAdditive |
  eMultiplicativeAdditive |

enum XalanNumberingResourceBundle::eOrientation

  | Enumeration values:
  eLeftToRight |
  eRightToLeft |
  eTopToBottom |
  eBottomToTop |

## Constructor & Destructor Documentation

XalanNumberingResourceBundle::XalanNumberingResourceBundle ( | const XalanDOMString & theLanguage,
| const XalanDOMString & theUILanguage,
| const XalanDOMString & theHelpLanguage,
| const XalanDOMCharVectorType & theAlphabet,
| const XalanDOMCharVectorType & theTraditionalAlphabet,
| eOrientation theOrientation,
| eNumberingMethod theNumberingMethod,
| eMultiplierOrder theMultiplierOrder,
| NumberType theMaxNumericalValue,
| const NumberTypeVectorType & theNumberGroups,
| const NumberTypeVectorType & theMultipliers,
| const XalanDOMCharVectorType & theZeroChar,
| const XalanDOMCharVectorType & theMultiplierChars,
| const DigitsTableVectorType & theDigitsTable,
| const NumberTypeVectorType & theDigitsTableTable )

XalanNumberingResourceBundle::XalanNumberingResourceBundle ( | )`[explicit]`

XalanNumberingResourceBundle::XalanNumberingResourceBundle ( | const XalanNumberingResourceBundle & theSource )

XalanNumberingResourceBundle::~XalanNumberingResourceBundle ( | )

## Member Function Documentation

const XalanDOMCharVectorType & XalanNumberingResourceBundle::getAlphabet ( | ) const

const DigitsTableVectorType & XalanNumberingResourceBundle::getDigitsTable ( | ) const

const NumberTypeVectorType & XalanNumberingResourceBundle::getDigitsTableTable ( | ) const

const XalanDOMString & XalanNumberingResourceBundle::getHelpLanguage ( | ) const

const XalanDOMString & XalanNumberingResourceBundle::getLanguage ( | ) const

NumberType XalanNumberingResourceBundle::getMaxNumericalValue ( | ) const

const XalanDOMCharVectorType & XalanNumberingResourceBundle::getMultiplierChars ( | ) const

eMultiplierOrder XalanNumberingResourceBundle::getMultiplierOrder ( | ) const

const NumberTypeVectorType & XalanNumberingResourceBundle::getMultipliers ( | ) const

const NumberTypeVectorType & XalanNumberingResourceBundle::getNumberGroups ( | ) const

eNumberingMethod XalanNumberingResourceBundle::getNumberingMethod ( | ) const

eOrientation XalanNumberingResourceBundle::getOrientation ( | ) const

const XalanDOMCharVectorType & XalanNumberingResourceBundle::getTraditionalAlphabet ( | ) const

const XalanDOMString & XalanNumberingResourceBundle::getUILanguage ( | ) const

const XalanDOMCharVectorType & XalanNumberingResourceBundle::getZeroChar ( | ) const

bool XalanNumberingResourceBundle::operator== ( | const XalanNumberingResourceBundle & theRHS ) const

void XalanNumberingResourceBundle::swap ( | XalanNumberingResourceBundle & theOther )

The documentation for this class was generated from the following file:

- XalanNumberingResourceBundle.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.